# Node docker image on which this would be run
image: node:8.10.0

cache:
  paths:
    - node_modules/

stages:
  - test
  - deploy_production

# Job 1:
Test:
  stage: test
  script:
    - npm install
    - npm run test

# Job 2:
# Deploy to staging
Production:
  image: ruby:latest
  only:
    - master
  stage: deploy_production
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=searchmatrics --api-key=2b81c92e-ddcc-4630-aa18-47c68e2a2284